
// Wiring / Arduino Code
// Code for sensing a switch status and writing the value to the serial port.

int switchPin = 7;                       // Switch connected to pin 4

// variables will change:
int buttonState = 1;  // variable for reading the pushbutton status

void setup() {
  pinMode(switchPin, INPUT);             // Set pin 0 as an input
  Serial.begin(9600);                    // Start serial communication at 9600 bps
}

void loop() {
  if (digitalRead(switchPin) == HIGH) {  // If switch is ON,
    Serial.print(1);               // send 1 to Processing
    Serial.write(1);               // send 1 to Processing
  } else {                               // If the switch is not ON,
    Serial.print((byte) 0x00);               // send 0 to Processing
    Serial.write((byte) 0x00);               // send 0 to Processing
  }
  delay(50);                            // Wait 100 milliseconds
}
